Bug 857595 - [abrt] usermode-gtk-1.109-1.fc17: sn_xcb_display_new: Process /usr/bin/consolehelper-gtk was killed by signal 11 (SIGSEGV)
[abrt] usermode-gtk-1.109-1.fc17: sn_xcb_display_new: Process /usr/bin/consol...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
abrt_hash:755960d0b45ca2b29bc858e5aa6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 23:34 EDT by JW Hall
Modified: 2013-08-01 01:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:04:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (1.42 KB, text/plain)
2012-09-14 23:34 EDT, JW Hall
no flags Details
File: open_fds (270 bytes, text/plain)
2012-09-14 23:34 EDT, JW Hall
no flags Details
File: dso_list (3.89 KB, text/plain)
2012-09-14 23:34 EDT, JW Hall
no flags Details
File: cgroup (127 bytes, text/plain)
2012-09-14 23:34 EDT, JW Hall
no flags Details
File: var_log_messages (162 bytes, text/plain)
2012-09-14 23:34 EDT, JW Hall
no flags Details
File: maps (11.69 KB, text/plain)
2012-09-14 23:34 EDT, JW Hall
no flags Details
File: backtrace (15.96 KB, text/plain)
2012-09-14 23:34 EDT, JW Hall
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-14 23:34 EDT, JW Hall
no flags Details
File: core_backtrace (825 bytes, text/plain)
2012-09-14 23:34 EDT, JW Hall
no flags Details

  None (edit)
Description JW Hall 2012-09-14 23:34:25 EDT
Version-Release number of selected component:
usermode-gtk-1.109-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/hddtemp -n -q /dev/sda
crash_function: sn_xcb_display_new
kernel:         3.5.2-3.fc17.i686

truncated backtrace:
:Thread no. 1 (8 frames)
: #0 sn_xcb_display_new at sn-common.c
: #1 sn_display_new at sn-common.c
: #2 userhelper_startup_notification_launchee at userhelper-wrap.c
: #3 userhelper_handle_childout at userhelper-wrap.c
: #4 userhelper_read_childout at userhelper-wrap.c
: #5 g_io_unix_dispatch at giounix.c
: #10 gtk_main at gtkmain.c
: #11 userhelper_runv at userhelper-wrap.c
Comment 1 JW Hall 2012-09-14 23:34:28 EDT
Created attachment 613055 [details]
File: environ
Comment 2 JW Hall 2012-09-14 23:34:30 EDT
Created attachment 613056 [details]
File: open_fds
Comment 3 JW Hall 2012-09-14 23:34:32 EDT
Created attachment 613057 [details]
File: dso_list
Comment 4 JW Hall 2012-09-14 23:34:33 EDT
Created attachment 613058 [details]
File: cgroup
Comment 5 JW Hall 2012-09-14 23:34:35 EDT
Created attachment 613059 [details]
File: var_log_messages
Comment 6 JW Hall 2012-09-14 23:34:38 EDT
Created attachment 613060 [details]
File: maps
Comment 7 JW Hall 2012-09-14 23:34:40 EDT
Created attachment 613061 [details]
File: backtrace
Comment 8 JW Hall 2012-09-14 23:34:42 EDT
Created attachment 613062 [details]
File: limits
Comment 9 JW Hall 2012-09-14 23:34:43 EDT
Created attachment 613063 [details]
File: core_backtrace
Comment 10 Miloslav Trmač 2012-09-15 13:06:35 EDT
Thanks for your report.  Is this crash reproducible?  (see "cmdline" in comment #0).  If so, could you please run

(strace -s 1024 -o log /usr/bin/hddtemp -n -q /dev/sda)
and attach the resulting log file?



(Notes for myself, from looking at the data:

* In startup-notification, xcb_intern_atom_reply() returns NULL - but gtk_init_check () on that same display succeeded)

* FD list shows: stdin == /dev/null, stdout&stderr are pipes - perhaps started by a different application?

* Ordinarily, userhelper-wrap will have FD 3 for reading from the child, and FD 8 for writing to the child - where did FD 8 go?)
Comment 11 JW Hall 2012-09-18 18:23:05 EDT
[root@hp-dv2000 buzz]# strace -s 1024 -o log /usr/bin/hddtemp -n -q /dev/sda
55
[root@hp-dv2000 buzz]#
Comment 12 JW Hall 2012-09-18 18:25:08 EDT
If I can get it to repeat, I'll get abrt to save all logs from Problem Data.
Comment 13 Miloslav Trmač 2012-09-19 08:46:51 EDT
(In reply to comment #12)
> If I can get it to repeat, I'll get abrt to save all logs from Problem Data.

Thanks; the abrt data already attached is accurate, but I'm afraid abrt cannot provide the information that strace could.


Ray, could you perhaps take a quick look?
(In reply to comment #10)
> In startup-notification, xcb_intern_atom_reply() returns NULL - but
> gtk_init_check () on that same display succeeded)

Looking at other use of X atoms in GTK, nothing bothers to check return values, yet at least an XOpenDisplay must have succeeded.  I'm not really sure what could have caused this behavior.

The easy thing to do is to just reassign to startup-notification because it crashes on missing error handling, but that doesn't bring us closer to discovering the root cause of the situation.


Marking as needinfo: without either a strace or any ideas from Ray I'm not sure how to move forward.
Comment 14 JW Hall 2012-09-20 21:15:33 EDT
[root@hp-dv2000 buzz]# strace -s 1024 -o log /usr/bin/hddtemp -n -q /dev/sda
63
[root@hp-dv2000 buzz]#
Comment 15 Miloslav Trmač 2012-09-21 07:13:13 EDT
(In reply to comment #14)
> [root@hp-dv2000 buzz]# strace -s 1024 -o log /usr/bin/hddtemp -n -q /dev/sda
> 63
> [root@hp-dv2000 buzz]#

I'm sorry about the confusion - please attach the file named "log" that is generated using the command command, not only the output of the command.
Comment 16 Fedora End Of Life 2013-07-03 21:00:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-08-01 01:05:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.